Rebuild a Slice ================ .. |location_slugpage_sizes| raw:: html https://cloud.syminet.com/slices/slugs/sizes ↗ .. |location_slugpage_dists| raw:: html https://cloud.syminet.com/slices/slugs/dists ↗ .. |location_slugpage_regions| raw:: html https://cloud.syminet.com/slices/slugs/regions ↗ .. role:: green **Type:** :guilabel:`POST` .. py:function:: https://cloud.syminet.com/api/v1/slices/{SLICE_ID}/rebuild Rebuild ``SLICE_ID`` using ``os_name`` distribution image, and optionally a ``password`` you specify. Any IP Address(es) and firewalls for the slice remain intact. .. Warning:: Rebuilding a slice will erase all disk data and reformat with the new image. **Required URL Parameters:** SLICE_ID Slice ID to rebuild. **Required JSON Properties:** slice_name Slice name. os_name Distribution name (debian11, etc.), ``osinfo-query os`` command on linux systems. See the panel slug reference page at |location_slugpage_dists| or the :doc:`slug reference <../overview/slug_endpoints>` page for API access to slugs. **Optional JSON Properties:** :password: root password. If none is specified, one is randomly generated and emailed to you. Minimum 8 characters, mixed cAsE, at least 1 number. .. code-block:: shell :caption: Curl curl --request POST \ --url https://cloud.syminet.com/api/v1/slices/SLICE_ID/rebuild \ --header "content-type: application/json" \ --header "authorization:bearer $API_TOKEN" \ --data ' { "os_name": "debian12" } ' **Response:** :green:`202 OK`